Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

This is my first bug report im not sure if it is a bug but
 Works good but if you do
0.11

 It be a bit wrong

/ Slaktarn

Related issues:

Related to Redmine - Feature #6974: Define manually the versions order in Roa... New 2010-11-25

Has duplicate Redmine - Feature #7269: Sort versions by version numbers x.y.z... Closed 2011-01-10

Has duplicate Redmine - Defect #28035: Order of versions is not correctly ord... Closed

History

#1 - 2010-11-13 11:38 - John Yani

I think, you should use

0.01

0.02

0.11

0.20

 If you want to change the version number from 0.1 to 0.01, I think, you can do that.

#2 - 2010-11-13 11:47 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Roadmap, Version Error to Version numbering sort

- Priority changed from High to Normal

Versions are sorted by date then by name (alphabetically), so what you describe is not a defect (1.1 < 1.10 < 1.2 is alphabetically correct).

What you expect is some kind of version numbering sort when names looks like x.y where x and y are integers.

#3 - 2010-11-13 13:19 - SwedishMatch TimerWolf

Are it not any way to first sort them after numbering?

/ Slaktarn
#4 - 2010-11-13 13:19 - SwedishMatch TimerWolf

SwedishMatch TimerWolf wrote:

Are it not any way to first sort them after numbering?

/ Slaktarn

 Or atlest if that not possibel first store after date and not name to get it right anyways it culd be a workaround

#5 - 2011-05-06 10:41 - Ebrahim Mohammadi

I don't know of any versioning scheme in which "1.10" is smaller than "1.2". I think this issue deserves a higher priority, or even it could be set as a

"defect".

#6 - 2019-02-03 00:32 - Go MAEDA

- Has duplicate Defect #28035: Order of versions is not correctly ordered added

#7 - 2021-07-31 19:00 - Frank Schwarz

I guess the reason for this ticket not being solved within 10 years is the fact that there is no one-size-fits-all solution.

However, if you would refactor the code for the internal version sort to be extensible, I could help myself with a plugin.
